Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class SwordConstants

    java.lang.Object
      org.crosswire.jsword.book.sword.SwordConstants

    public final class SwordConstants

extends Object

A Constants to help the SwordBookDriver to read Sword format data.

Author:
  Mark Goodwin [mark at thorubio dot org], Joe Walker [joe at eireneh dot com], The Sword project (don't know who - no credits in original files (canon.h))
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static short[][]` | `bks` array containing LUT of offsets in the chapter table.
`private static short[][]` | `cps` array containing LUT of positions of initial verses per chapter.
`static String` | `DIR_CONF` The configuration directory
`static String` | `DIR_DATA` The data directory
`static String` | `EXTENSION_CONF` Extension for config files
`static String` | `EXTENSION_DATA` Extension for data files
`static String` | `EXTENSION_INDEX` Extension for index files
`static String` | `EXTENSION_VSS` Index file extensions
`static String` | `FILE_NT` New testament data files
`static String` | `FILE_OT` Old testament data files
`(package private) static int` | `ORDINAL_MAT11` The start of the new testament
`static int` | `TESTAMENT_INTRO` constant for the introduction
`static int` | `TESTAMENT_NEW` constant for the new testament
`static int` | `TESTAMENT_OLD` constant for the old testament

Constructor Summary
`private` | `SwordConstants()` Prevent Instansiation

Method Summary
`(package private) static int` | `getIndex(Verse v)` Get the sword index of the given verse
`static int` | `getTestament(Verse v)` Get the testament of a given verse

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NT

    public static final String FILE_NT

  New testament data files

  See Also:
    Constant Field Values

### FILE_OT

    public static final String FILE_OT

  Old testament data files

  See Also:
    Constant Field Values

### EXTENSION_VSS

    public static final String EXTENSION_VSS

  Index file extensions

  See Also:
    Constant Field Values

### EXTENSION_INDEX

    public static final String EXTENSION_INDEX

  Extension for index files

  See Also:
    Constant Field Values

### EXTENSION_DATA

    public static final String EXTENSION_DATA

  Extension for data files

  See Also:
    Constant Field Values

### EXTENSION_CONF

    public static final String EXTENSION_CONF

  Extension for config files

  See Also:
    Constant Field Values

### DIR_DATA

    public static final String DIR_DATA

  The data directory

  See Also:
    Constant Field Values

### DIR_CONF

    public static final String DIR_CONF

  The configuration directory

  See Also:
    Constant Field Values

### TESTAMENT_INTRO

    public static final int TESTAMENT_INTRO

  constant for the introduction

  See Also:
    Constant Field Values

### TESTAMENT_OLD

    public static final int TESTAMENT_OLD

  constant for the old testament

  See Also:
    Constant Field Values

### TESTAMENT_NEW

    public static final int TESTAMENT_NEW

  constant for the new testament

  See Also:
    Constant Field Values

### ORDINAL_MAT11

    static final int ORDINAL_MAT11

  The start of the new testament

### bks

    private static short[][] bks

  array containing LUT of offsets in the chapter table.

### cps

    private static short[][] cps

  array containing LUT of positions of initial verses per chapter. This and all the cps* below were longs and then ints This was an artifact of a port from C/C++ where int/long vary in size dependeing on architecture.

Constructor Detail

### SwordConstants

    private SwordConstants()

  Prevent Instansiation

Method Detail

### getTestament

    public static int getTestament(Verse v)

  Get the testament of a given verse

### getIndex

    static int getIndex(Verse v)

  Get the sword index of the given verse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD